%define upstream_name Auth_SASL
%define xmldir  /var/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name: 		php-pear-%{upstream_name}
Version: 	1.0.6
Release:     	%mkrel 2
Summary: 	PEAR: Abstraction of various SASL mechanism responses
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Auth_SASL-%{version}.tgz
URL: 		http://pear.php.net/package/Auth_SASL
BuildRequires:	php-pear >= 1.4.7

BuildArch: noarch

%description
Provides code to generate responses to common SASL mechanisms, including:
- Digest-MD5
- Cram-MD5
- Plain
- Anonymous
- Login (Pseudo mechanism)
- SCRAM

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Auth_SASL.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Auth_SASL.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Auth_SASL
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Auth_SASL.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 375881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 28 2011 spuhler <spuhler> 1.0.6-1.mga2
+ Revision: 173550
- upgrade to 1.0.6
  pearized spec file

* Sun Jan 16 2011 spuhler <spuhler> 1.0.4-2.mga1
+ Revision: 20357
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Auth_SASL

